Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata
Interface Measurement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MeasurementImpl

    public interface Measurement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Measurement'.

The following features are supported:

- `Type`
- `Value`
- `Name`
- `Entries`
- `Run`

See Also:
  `DataPackage.getMeasurement()`

Method Summary
`org.eclipse.emf.common.util.EList<DataPoint>` | `getEntries()` Returns the value of the 'Entries' containment reference list.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`Run` | `getRun()` Returns the value of the 'Run' container reference.
`ScaleType` | `getType()` Returns the value of the 'Type' attribute.
`IValue` | `getValue()` Returns the value of the 'Value' reference.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setRun(Run value)` Sets the value of the '`Run`' container reference.
`void` | `setType(ScaleType value)` Sets the value of the '`Type`' attribute.
`void` | `setValue(IValue value)` Sets the value of the '`Value`' reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getType

    ScaleType getType()

  Returns the value of the 'Type' attribute. The literals are from the enumeration `ScaleType`.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `ScaleType`, `setType(ScaleType)`, `DataPackage.getMeasurement_Type()`

### setType

    void setType(ScaleType value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `ScaleType`, `getType()`

### getValue

    IValue getValue()

  Returns the value of the 'Value' reference.

  If the meaning of the 'Value' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' reference.
  See Also:
    `setValue(IValue)`, `DataPackage.getMeasurement_Value()`

### setValue

    void setValue(IValue value)

  Sets the value of the '`Value`' reference.

  Parameters:
    `value` - the new value of the 'Value' reference.
  See Also:
    `getValue()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DataPackage.getMeasurement_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getEntries

    org.eclipse.emf.common.util.EList<DataPoint> getEntries()

  Returns the value of the 'Entries' containment reference list. The list contents are of type `DataPoint`. It is bidirectional and its opposite is '`Measurement`'.

  If the meaning of the 'Entries' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Entries' containment reference list.
  See Also:
    `DataPackage.getMeasurement_Entries()`, `DataPoint.getMeasurement()`

### getRun

    Run getRun()

  Returns the value of the 'Run' container reference. It is bidirectional and its opposite is '`Measurements`'.

  If the meaning of the 'Run' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Run' container reference.
  See Also:
    `setRun(Run)`, `DataPackage.getMeasurement_Run()`, `Run.getMeasurements()`

### setRun

    void setRun(Run value)

  Sets the value of the '`Run`' container reference.

  Parameters:
    `value` - the new value of the 'Run' container reference.
  See Also:
    `getRun()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD